# Fetch Interest Rate Models

## Get Prime Cash and fCash Interest Rate Models

This query can be used to fetch Prime Cash and fCash interest rate models. Ids reference the currency, the market index and if the model is the current Interest rate model or the next interest rate model. For example, the id "3:0:current" identifies the Prime Cash Market for currency id 3 (USDC). Id "6:2:current" identifies the 6 month fCash market (market index = 2) interest rate model for currency id 6 (FRAX).

```
{
interestRateCurves{
  id
  kinkRate1
  kinkRate2
  kinkUtilization1
  kinkUtilization2
  maxRate
  maxFeeRate
  minFeeRate
  feeRatePercent
}
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.notional.finance/v3-technical-docs/subgraph-guides/notional-v3-subgraphs/fetch-interest-rate-models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
